Subject: RE: your mail

From: Alia Atlas <[email-masked]>
Date: Thu, 27 Jun 2002 17:25:15 -0400

While it may be preferable to hash on the entire label stack (minus any 
reserved label values for the bottommost label) or the embedded IP header 
because this provides more diversity, it certainly possible to only 
consider the topmost label.  The same issue comes up for link-aggregation 
as for ECMP; traffic needs to be broken into micro-flows.  What constitutes 
a micro-flow and how large that can be is determined by the network 
location and application.

Regardless, the single label lookup for hardware is not currently a strong 
motivator for MPLS; it is the ability to decouple forwarding and control to 
provide what are essentially circuits which is a stronger motivator.

Alia

At 05:02 PM 6/27/2002 -0400, Naidu, Venkata wrote:
>Shahram,
>
>-> > ECMP is inherent in the architecture.
>->
>-> What? ECMP is a kludge to overcome LDP's inability to TE. If
>-> you think about it doing hashing of multiple labels and
>-> perhaps IP header in the middle of an LSP actually defeats
>-> the purpose of MPLS, which was supposed to be have a simple
>-> label lookup in the core.
>
>  Who said that ECMP will be achieved only by hashing labels
>  or IP header? I think you are thinking IP ECMP methods
>  (RFCs 2991 and 2992) to solve MPLS ECMP. You can do ECMP
>  in what ever way a vendor likes - after all, it is for
>  load balancing. You can still achieve simple label lookup at
>  the core by using appropriate ECMP technique(s).
>
>--
>Venkata.